GroovyPageTemplate (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.gsp

## [Java] Class GroovyPageTemplate

- org.grails.gsp.GroovyPageTemplate

- All Implemented Interfaces and Traits:
    groovy.text.Template, java.lang.Cloneable

      public class GroovyPageTemplate
      extends java.lang.Object

  Knows how to make in instance of GroovyPageWritable.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageTemplate (GroovyPageMetaInfo metaInfo)`
    `GroovyPageTemplate (GroovyPageMetaInfo metaInfo, OutputContextLookup outputContextLookup)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `clone()`
    `GroovyPageMetaInfo` | `getMetaInfo()`
    `boolean` | `isAllowSettingContentType()`
    `groovy.lang.Writable` | `make()`
    `GroovyPageWritable` | `make(java.util.Map binding)`
    `void` | `setAllowSettingContentType(boolean allowSettingContentType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageTemplate(GroovyPageMetaInfo metaInfo)

    - #### public GroovyPageTemplate(GroovyPageMetaInfo metaInfo, OutputContextLookup outputContextLookup)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object clone()

    - #### public GroovyPageMetaInfo getMetaInfo()

    - #### public boolean isAllowSettingContentType()

    - #### public groovy.lang.Writable make()

    - #### @java.lang.SuppressWarnings("rawtypes") public GroovyPageWritable make(java.util.Map binding)

    - #### public void setAllowSettingContentType(boolean allowSettingContentType)